#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

parameters:
  variations.default_convert_batch_size: 1000

  variations.convert_batch_size: "%env(default:variations.default_convert_batch_size:int:VARIATIONS_CONVERT_BATCH_SIZE)%"

services:
  _defaults:
    autowire: true

  XC\ProductVariations\LifetimeHook\Upgrade\HookProfiler: ~

  XC\ProductVariations\LifetimeHook\Upgrade\UpgradeTo552build0ConvertVariations:
    arguments:
      $batchSize: '%variations.convert_batch_size%'
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ProductVariations, type: upgrade, method: onUpgrade, version: 5.5.2.0}

  XC\ProductVariations\LifetimeHook\Upgrade\UpgradeTo552build0VariationsMode:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ProductVariations, type: upgrade, method: onUpgrade, version: 5.5.2.0}

  XC\ProductVariations\LifetimeHook\Upgrade\UpgradeTo554build0FillVariationBaseName:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-ProductVariations, type: upgrade, method: onUpgrade, version: 5.5.4.0}
